## GstGLBufferPool GstGLBufferPool — buffer pool for GstGLMemory objects |

## Functions

GstBufferPool * | gst_gl_buffer_pool_new ()

## Types and Values

struct | GstGLBufferPool
struct | GstGLBufferPoolClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstBufferPool
                    ╰── GstGLBufferPool

## Description

a GstGLBufferPool is an object that allocates buffers with GstGLMemory

A GstGLBufferPool is created with `gst_gl_buffer_pool_new()`

GstGLBufferPool implements the VideoMeta buffer pool option GST_BUFFER_POOL_OPTION_VIDEO_META

## Functions

### gst_gl_buffer_pool_new ()

    GstBufferPool *
    gst_gl_buffer_pool_new (GstGLContext *context);

#### Parameters

display | the GstGLDisplay to use |

#### Returns

a GstBufferPool that allocates buffers with GstGLMemory

## Types and Values

### struct GstGLBufferPool

    struct GstGLBufferPool;

Opaque GstGLBufferPool struct

### struct GstGLBufferPoolClass

    struct GstGLBufferPoolClass {
      GstBufferPoolClass parent_class;
    };

The GstGLBufferPoolClass structure contains only private data

## See Also

GstBufferPool, GstGLMemory